<?xml version='1.0' encoding='UTF-8'?>

<!-- 

	Der ItemType beschreibt die Eigenschaften eines Items. 

-->



<ItemTypes>
	<TreeParentType   RenderStyle="PlainStyle" 		 EditorType="LineEditType" ItemFlags="IsEnabled|IsDropEnabled" Icon="DirIcon" />	
	<TreeChildType    RenderStyle="PlainStyle"       EditorType="LineEditType" ItemFlags="IsEnabled" Icon="MediaPlay"/>
	<TreeSectionType  RenderStyle="PlainStyle"       EditorType="LineEditType" ItemFlags="IsUserCheckable|IsEnabled" Icon="DesktopIcon"/>	
	<HeaderType 	  RenderStyle="HeaderStyle" 	 EditorType="LineEditType" ItemFlags="IsEnabled"/>
	<HiddenType 	  RenderStyle="HiddenStyle"/>
	<StaticType 	  RenderStyle="PlainStyle"/>
	<PlainType 		  RenderStyle="PlainStyle"    	 EditorType="LineEditType" ItemFlags="IsEnabled|IsEditable|IsSelectable"/>
	<ValueType 		  RenderStyle="FormattedStyle"   EditorType="LineEditType" ItemFlags="IsEnabled|IsEditable|IsSelectable" UnitType="Coulomb"/>
	<CheckableType 	  RenderStyle="FormattedStyle"   EditorType="LineEditType" ItemFlags="IsEnabled|IsEditable|IsSelectable" />	
	<PercentageType   RenderStyle="ColorBarStyle"    EditorType="ColorBarType" ItemFlags="IsEnabled|IsEditable|IsSelectable" UnitType="%"/>
	<ChoiceType       RenderStyle="ComboBoxStyle"    EditorType="ComboBoxType" ItemFlags="IsEnabled|IsEditable|IsSelectable" UnitType="W" FixedChoices="2000|4000|6000|8000" />	
	<IntValueType     RenderStyle="SpinBoxStyle"	 EditorType="SpinBoxType"  ItemFlags="IsEnabled|IsEditable|IsSelectable"/>	
</ItemTypes>

<DocumentTreeModel>
	<Section ContentType="runnning">
		<Header>
			<Entry Caption="Active Projects" ItemType="TreeParentType"/>
		</Header>
		<ModelSheet>
			<Project Caption="@ProjectName" ItemType="TreeChildType">
				<CurrentSection ItemType="TreeSectionType"/>
			</Project>
		</ModelSheet>
	</Section>	
	<Section ContentType="planned">
		<Header>
			<Entry Caption="Planned Projects" ItemType="TreeParentType"/>
		</Header>
		<ModelSheet>
			<Project Caption="@ProjectName" ItemType="TreeChildType">				
				<CurrentSection ItemType="TreeSectionType"/>
			</Project>
		</ModelSheet>
	</Section>
	<Section ContentType="finished">
		<Header>
			<Entry Caption="Finished Projects" ItemType="TreeParentType"/>
		</Header>
		<ModelSheet>
			<Project Caption="@ProjectName" ItemType="TreeChildType">	
				<CurrentSection ItemType="TreeSectionType"/>
			</Project>
		</ModelSheet>
	</Section>
</DocumentTreeModel>
	


<DocumentDetailsModel>
	
	<Section ContentType="Panel" CatchBlock="TagName=Panel">
		<Header>
			<PanelID Caption="Panel" ItemType="HeaderType" />
			<PanelName Caption="Name" ItemType="HeaderType" Icon="BrowserStop" />
			<Manufacturer Caption="Manufacturer" ItemType="HeaderType" />
			<WattPeak Caption="Watt Peak" ItemType="HeaderType" />
			<Width Caption="Width" ItemType="HeaderType" />	
			<Height Caption="Height" ItemType="HeaderType" />
			<Wight Caption="Weight" ItemType="HeaderType" />	
			<MaxVolt Caption="max. Volt" ItemType="HeaderType" />
			<MaxAmpere Caption="max. Ampere" ItemType="HeaderType" />
		</Header>
		<ModelSheet>
			<!-- 'Icon' überschreibt den default wert im ItemType und erzeugt damit einen neuen ItemType-->
			<PanelID ItemType="PlainType" Icon="DesktopIcon"/>
			<PanelName ItemType="PlainType" Icon="BrowserStop"/>
			<Manufacturer ItemType="PlainType"/>
			<!-- 'UnitType' überschreibt den default wert im ItemType und erzeugt damit einen neuen ItemType-->
			<WattPeak ItemType="ValueType" UnitType="Wp"/>
			<Width  ItemType="ValueType" Icon="VistaShield" UnitType="m"/>	
			<Height ItemType="ValueType" UnitType="m"/>
			<Weight ItemType="ValueType" UnitType="kg"/>	
			<MaxVolt ItemType="ValueType" UnitType="V"/>
			<MaxAmpere ItemType="ValueType" UnitType="A"/>
		</ModelSheet>
	</Section>
	
		<Section ContentType="Inverter" > 
		<Header >
			<InverterID Caption="Inverter" ItemType="HeaderType" />
			<InverterName Caption="Name" ItemType="HeaderType" />
			<Manufacturer Caption="Manufacturer" ItemType="HeaderType" />
			<MaxPowerInput Caption="max. Input" ItemType="HeaderType" />
			<MaxPowerOutput Caption="max Output" ItemType="HeaderType" />
			<NumStrings Caption="Strings" ItemType="HeaderType" />		
			<Weight Caption="Weight" ItemType="HeaderType" />
		</Header>
		<ModelSheet>
			<InverterID ItemType="PlainType" />
			<InverterName ItemType="PlainType" />
			<Manufacturer ItemType="PlainType" />
			<MaxPowerInput ItemType="ChoiceType" FixedChoices="2000|4000|6000|8000" UnitType="W"/>
			<MaxPowerOutput ItemType="ValueType" UnitType="W"/>
			<NumStrings ItemType="IntValueType" />		
			<Weight ItemType="ValueType"  UnitType="kg"/>
		</ModelSheet>
	</Section>
	
	<Section ContentType="Battery" >
		<Header>			
			<BatteryID Caption="Battery" ItemType="HeaderType" />
			<BatteryName Caption="Name" ItemType="HeaderType" />
			<Manufacturer Caption="Manufacturer" ItemType="HeaderType" />
			<Capacity Caption="Capacity" ItemType="HeaderType"/>
			<Yield Caption="Yield" ItemType="HeaderType" />
			<MaxCurrent Caption="max. Current" ItemType="HeaderType" />
			<MaxVolt Caption="max. Volt" ItemType="HeaderType" />		
		</Header>
		<ModelSheet>
			<BatteryID ItemType="PlainType" />
			<BatteryName ItemType="PlainType" />
			<Manufacturer ItemType="PlainType" />
			<Capacity ItemType="ValueType"  UnitType="Wh"/>
			<Yield ItemType="PercentageType" UnitType="%"/>
			<MaxCurrent ItemType="ValueType"  UnitType="A">
				<SubType ItemType="PlainType"/>			
			</MaxCurrent>
			<MaxVolt ItemType="ValueType"  UnitType="V"/>	
			
			<firz ItemType="PlainType"/>

			<Image DataValue="image.png" ItemType="PlainType"/>
			<Manual DataValue="manual.docx" ItemType="PlainType"/>
			<Certificate DataValue="certificate.pdf" ItemType="PlainType"/>
			
			
		</ModelSheet>
	</Section>

</DocumentDetailsModel>
